Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZ\Publish\SPI\Persistence\Content\Type\FieldDefinition Class Reference
Inheritance diagram for eZ\Publish\SPI\Persistence\Content\Type\FieldDefinition:

## Public Member Functions
| __construct (array $properties=[])
| Constructor. More...
Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| __set ($property, $value)
| Magic set function handling writes to non public properties. More...
| __get ($property)
| Magic get function handling read to non public properties. More...
| __isset ($property)
| Magic isset function handling isset() to non public properties. More...
| __unset ($property)
| Magic unset function handling unset() to non public properties. More...
| attribute ($property)
| Internal function for Legacy template engine compatibility to get property value. More...
| attributes ()
| Internal function for Legacy template engine compatibility to get properties. More...
| hasAttribute ($property)
| Internal function for Legacy template engine compatibility to check existence of property. More...

## Public Attributes
| $id
| $name
| $description = []
| $identifier
| $fieldGroup
| $position
| $fieldType
| $isTranslatable
| $isRequired
| $isInfoCollector
| $fieldTypeConstraints
| $defaultValue
| $isSearchable
| $mainLanguageCode

## Additional Inherited Members
Static Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
static | __set_state (array $array)
| Returns a new instance of this class with the data specified by $array. More...
Protected Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| getProperties ($dynamicProperties=[])
| Function where list of properties are returned. More...

## Detailed Description

Todo:

  Do we need a FieldDefinitionCreateStruct?

  What about the "serialized_data_text" field in legacy storage?

Definition at line 17 of file SPI/Persistence/Content/Type/FieldDefinition.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\SPI\Persistence\Content\Type\FieldDefinition::__construct | ( | array | $properties = `[]` | ) |

Constructor.

Reimplemented from eZ\Publish\API\Repository\Values\ValueObject.

Definition at line 123 of file SPI/Persistence/Content/Type/FieldDefinition.php.

## Member Data Documentation

## ◆ $defaultValue

eZ\Publish\SPI\Persistence\Content\Type\FieldDefinition::$defaultValue

Definition at line 104 of file SPI/Persistence/Content/Type/FieldDefinition.php.

## ◆ $description

eZ\Publish\SPI\Persistence\Content\Type\FieldDefinition::$description = []

Definition at line 38 of file SPI/Persistence/Content/Type/FieldDefinition.php.

## ◆ $fieldGroup

eZ\Publish\SPI\Persistence\Content\Type\FieldDefinition::$fieldGroup

Definition at line 52 of file SPI/Persistence/Content/Type/FieldDefinition.php.

## ◆ $fieldType

eZ\Publish\SPI\Persistence\Content\Type\FieldDefinition::$fieldType

Definition at line 66 of file SPI/Persistence/Content/Type/FieldDefinition.php.

## ◆ $fieldTypeConstraints

eZ\Publish\SPI\Persistence\Content\Type\FieldDefinition::$fieldTypeConstraints

Definition at line 97 of file SPI/Persistence/Content/Type/FieldDefinition.php.

## ◆ $id

eZ\Publish\SPI\Persistence\Content\Type\FieldDefinition::$id

Definition at line 24 of file SPI/Persistence/Content/Type/FieldDefinition.php.

## ◆ $identifier

eZ\Publish\SPI\Persistence\Content\Type\FieldDefinition::$identifier

Definition at line 45 of file SPI/Persistence/Content/Type/FieldDefinition.php.

## ◆ $isInfoCollector

eZ\Publish\SPI\Persistence\Content\Type\FieldDefinition::$isInfoCollector

Definition at line 87 of file SPI/Persistence/Content/Type/FieldDefinition.php.

## ◆ $isRequired

eZ\Publish\SPI\Persistence\Content\Type\FieldDefinition::$isRequired

Definition at line 80 of file SPI/Persistence/Content/Type/FieldDefinition.php.

## ◆ $isSearchable

eZ\Publish\SPI\Persistence\Content\Type\FieldDefinition::$isSearchable

Definition at line 111 of file SPI/Persistence/Content/Type/FieldDefinition.php.

## ◆ $isTranslatable

eZ\Publish\SPI\Persistence\Content\Type\FieldDefinition::$isTranslatable

Definition at line 73 of file SPI/Persistence/Content/Type/FieldDefinition.php.

## ◆ $mainLanguageCode

eZ\Publish\SPI\Persistence\Content\Type\FieldDefinition::$mainLanguageCode

Definition at line 118 of file SPI/Persistence/Content/Type/FieldDefinition.php.

## ◆ $name

eZ\Publish\SPI\Persistence\Content\Type\FieldDefinition::$name

Definition at line 31 of file SPI/Persistence/Content/Type/FieldDefinition.php.

## ◆ $position

eZ\Publish\SPI\Persistence\Content\Type\FieldDefinition::$position

Definition at line 59 of file SPI/Persistence/Content/Type/FieldDefinition.php.

The documentation for this class was generated from the following file:

- SPI/Persistence/Content/Type/FieldDefinition.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.